import java.io.IOException;
import java.net.Socket;

public abstract class Class436 {

   int anInt5436;
   String aString5437;


   public abstract Socket method7341() throws IOException;

   public abstract Socket method7342(byte var1) throws IOException;

   Socket method7343() throws IOException {
      return new Socket(this.aString5437, 342437023 * this.anInt5436);
   }

   public static Class436 method7344(String var0, int var1) {
      Class436_Sub1 var2 = new Class436_Sub1();
      var2.aString5437 = var0;
      var2.anInt5436 = 296808287 * var1;
      return var2;
   }

   public static Class436 method7345(String var0, int var1) {
      Class436_Sub1 var2 = new Class436_Sub1();
      var2.aString5437 = var0;
      var2.anInt5436 = 296808287 * var1;
      return var2;
   }

   Socket method7346(int var1) throws IOException {
      return new Socket(this.aString5437, 342437023 * this.anInt5436);
   }

   public static Class436 method7347(String var0, int var1) {
      Class436_Sub1 var2 = new Class436_Sub1();
      var2.aString5437 = var0;
      var2.anInt5436 = 296808287 * var1;
      return var2;
   }

   public static Class436 method7348(String var0, int var1) {
      Class436_Sub1 var2 = new Class436_Sub1();
      var2.aString5437 = var0;
      var2.anInt5436 = 296808287 * var1;
      return var2;
   }

   public static Class436 method7349(String var0, int var1) {
      Class436_Sub1 var2 = new Class436_Sub1();
      var2.aString5437 = var0;
      var2.anInt5436 = 296808287 * var1;
      return var2;
   }

   public abstract Socket method7350() throws IOException;

   Socket method7351() throws IOException {
      return new Socket(this.aString5437, 342437023 * this.anInt5436);
   }

   Socket method7352() throws IOException {
      return new Socket(this.aString5437, 342437023 * this.anInt5436);
   }

   static void method7353(Class443_Sub1 var0, int var1) {
      var0.method13357(0, (byte)-45);
      byte var3;
      if(GameEngine.anInt3290 * 601874395 >= 96) {
         int var2 = Class566.method12018(-1468171378);
         if(var2 <= 104) {
            Class34.method876(-2070562811);
            var3 = 4;
         } else if(var2 <= 502) {
            Class251_Sub1.method14261(755356176);
            var3 = 3;
         } else if(var2 <= 1001) {
            Class7.method606((byte)8);
            var3 = 2;
         } else {
            Class411.method7082(true, 1643603557);
            var3 = 1;
         }

         var0.method13360(0, var2, -1776632199);
      } else {
         Class411.method7082(true, 1643603557);
         var3 = 1;
         var0.method13355(64, 407470441);
      }

      if(Class500.aClass225_Sub6_5953.aClass463_Sub15_8472.method12922((byte)-55) != 0) {
         Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub15_8479, 0, 2037614900);
         Class62_Sub2.method13095(0, false, 1565166678);
      } else {
         Class500.aClass225_Sub6_5953.method13502(Class500.aClass225_Sub6_5953.aClass463_Sub15_8472, true, (byte)81);
      }

      Class7.method605(-1358477367);
      var0.method13356(var3, 272306948);
   }

   static final void method7354(byte var0) {
      Class385.method6637((short)10478);
      client.aClass279_7807.method4929(-1073506774);

      int var1;
      for(var1 = 0; var1 < client.aClass186Array7855.length; ++var1) {
         client.aClass186Array7855[var1] = null;
      }

      for(var1 = 0; var1 < client.aClass224Array7833.length; ++var1) {
         client.aClass224Array7833[var1] = null;
      }

      Class175.method3062(-2112421287);

      for(var1 = 0; var1 < 2048; ++var1) {
         client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var1] = null;
      }

      client.anInt7922 = 0;
      client.aClass423_7693.method7212(2043398378);
      client.anInt7695 = 0;
      client.aClass423_7817.method7212(1414640649);
      Class482.method8107((byte)8);
      client.anInt7706 = 0;
      Class118_Sub1.aClass175_8204.aClass569_2131.method12152((byte)0);
      Class103.aClass64_1017 = null;
      Class496.aClass64_5919 = null;
      Class383.aClass225_Sub19_4772 = null;
      Class225_Sub21_Sub2.aClass225_Sub19_10073 = null;
      Class327.aClass519_4064 = null;
      Class356_Sub2.aLong8915 = 0L;
      Class356.method6403(263079636);
      Class225_Sub12_Sub4.method16263((byte)35);
   }
}
